Name:		libfribidi
Version:	0.19.2
Release:	3%{?dist}

Summary:	Library implementing the Unicode Bidirectional Algorithm
License:	LGPLv2.1+
Group:		System Environment/Libraries
URL:		http://fribidi.org/
Source0:	http://fribidi.org/download/fribidi-%{version}.tar.gz
%define		Source0_md5sum 626db17d2d99b43615ad9d12500f568a
Patch0:		fribidi-0.19.1-fix-str-fmt.patch


%description
A library to handle bidirectional scripts (eg. hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.


%package devel
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig


%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to build or develop programs
using %{name}, you will need to install %{name}-devel.


%package -n fribidi
Summary:	CLI utility for the fribidi library
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}


%description -n fribidi
A command line interface for the fribidi library,
Converts a logical string to visual.


%prep
%setup -q -n fribidi-%{version}
%patch0 -p0


%build
%configure
make


%check
make check


%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}"


%clean
rm -rf %{buildroot}


%post -n %{name} -p /sbin/ldconfig


%postun -n %{name} -p /sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_libdir}/libfribidi.so.0
%{_libdir}/libfribidi.so.0.3.1


%files devel
%defattr(-,root,root,0755)
%{_includedir}/fribidi
%{_libdir}/libfribidi.so
%{_libdir}/libfribidi.a
%{_libdir}/libfribidi.la
%{_libdir}/pkgconfig/fribidi.pc
%{_mandir}/man3/fribidi_*.3.gz


%files -n fribidi
%defattr(0755,root,root,0755)
%{_bindir}/fribidi


%changelog
* Sun Jun 05 2011 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 0.19.2-3
- spec-file imported from http://packages.sw.be/fribidi/
- cleaned up spec-file
- updated to latest version
- added patch from Mageia
- split into three packages

